:root {
    --dxbl-listbox-item-selected-hover-bg: #ffa44f;
    --dxbl-listbox-item-selected-bg: #ff7d04;
    --dxbl-listbox-item-hover-color: #ffa44f;
}

.spinner {
    margin-top: 2.1rem;
    width: 60px;
    height: 60px;
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-top: 4px solid #333;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-left: auto;
    margin-right: auto;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

#reconnect-text {
    margin-top: 0.5rem;
    font-size: 1.2rem;
    font-weight: 500;
}

#reconnect-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5); /* semi-transparent dark overlay */
    z-index: 10000; /* behind the modal but above everything else */
}

#reconnect-modal {
    background-color: white;
    padding: 2rem;
    border-radius: 0.5rem;
    text-align: center;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    position: fixed;
    min-width: 400px;
    min-height: 200px;
    width: 50%;
    top: 50px; /* Slight offset from top */
    left: 50%;
    transform: translateX(-50%);
    z-index: 10001;
}

.dxbl-text-edit:focus-within {
    --dxbl-text-edit-focus-border-color: #ff7d04;
    --dxbl-text-edit-focus-shadow-color: #ff7d04;
}

.login-alert-label {
    display: flex;
    padding-left: 10px;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
    margin-top: 10px;
    width: 100%;
    height: 40px;
    color: rgb(132, 32, 41);
    background-color: rgb(248, 215, 218);
    border-color: rgb(245, 194, 199);
}

.test-login {
    display: flex;
    justify-content: center;
}

.standard-text-container {
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    background-color: white;
    padding: 18px;
}

.layout-grid-container {
    display: flex;
    height: 100%;
}

.login-label {
    font-weight: bolder;
    font-size: 17px;
    margin-right: 20px !important;
}

.dxbl-grid .dxbl-grid-table > thead .dxbl-grid-filter-row {
    height: 40px;
}

.dxbl-grid .dxbl-grid-table > thead > tr {
    background-color: #20baaf;
    color: white;
}

.project-overview-grid th dxbl-grid-header-content {
    display: flex;
    justify-content: center;
    text-align: center;
    height: 40px;
}

.project-overview-grid-cell {
    display: flex;
    justify-content: center;
    text-align: center;
    min-height: 30px;
}

.project-overview-grid-cell span {
    display: block;
    width: 100px;
    word-wrap: break-word;
}

.dxbl-col-md-6.dxbl-col.dxbl-fl-item.dxbl-fl-item-horizontal.formlayoutitem-empty-content .dxbl-fl-ctrl {
    display: flex;
    align-self: start;
    margin-top: 0px;
}
.dxbl-fl-cpt.formlayoutitem-empty-caption.dxbl-fl-caption-tmpl {
    display: flex;
    align-self: start;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6 !important;
    text-decoration: underline !important;
}

ul {
    margin-bottom: 0px;
}

.bg-dark {
    background-color: #373737 !important;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.validation-message {
    color: red;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    font-family: sans-serif;
    background: #f9eee3;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

#sidebar a, a:hover, a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.navbar {
    padding: 15px 10px;
    background: #fff;
    border: none;
    border-radius: 0;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

i,
span {
    display: inline-block;
}

.sidebar p {
    color: #fff;
}
/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
    display: flex;
    align-items: stretch;
}

#sidebar {
    min-width: 180px;
    max-width: 220px;
    background: #d3c8bd;
    color: #fff;
    transition: all 0.2s;
}

    #sidebar.active {
        min-width: 80px;
        max-width: 100px;
        text-align: center;
    }

        #sidebar.active .sidebar-header h3,
        #sidebar.active .CTAs {
            display: none;
        }

        #sidebar.active .sidebar-header strong {
            display: block;
        }

    #sidebar ul li a {
        text-align: left;
    }

    #sidebar.active ul li a {
        padding: 10px 5px;
        text-align: center;
        font-size: 0.90em;
    }

        #sidebar.active ul li a i {
            margin-right: 2px;
            display: block;
            font-size: 0.9em;
            margin-bottom: 5px;
        }

    #sidebar.active ul ul a {
        padding: 10px !important;
    }

    #sidebar.active .dropdown-toggle::after {
        top: auto;
        bottom: 10px;
        right: 50%;
        -webkit-transform: translateX(50%);
        -ms-transform: translateX(50%);
        transform: translateX(50%);
    }

    #sidebar .sidebar-header {
        padding: 15px 0px 15px 0px;
        /*background: #373737;*/
        background: white;
        /*margin-bottom: 10px;*/
    }

        #sidebar .sidebar-header strong {
            display: none;
            font-size: 1.8em;
        }

    #sidebar ul.components {
        color: black;
        font-weight: bold;
        padding: 10px 5px 15px 10px;
        /*border-bottom: 1px solid ;*/
    }

    #sidebar ul:hover {
        color: #373737;
        background: #fff;
    }

    #sidebar ul li a {
        padding: 10px 0px 0px 10px;
        font-size: 0.9em;
        display: block;
        margin: -5px 0px;
    }

        #sidebar ul li a i {
            margin-right: 10px;
        }

    #sidebar ul li.active > a,
    a[aria-expanded="true"] {
        color: #fff;
        background: #373737;
    }

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

ul ul a {
    font-size: 0.75em !important;
    padding-left: 30px !important;
    background: #373737;
}

ul {
    cursor: pointer
}

    ul.CTAs {
        padding: 20px;
    }

        ul.CTAs a {
            text-align: center;
            font-size: 0.9em !important;
            display: block;
            border-radius: 5px;
            margin-bottom: 5px;
        }

a.download {
    background: #fff;
    color: #373737;
}

a.article,
a.article:hover {
    background: #989898 !important;
    color: #fff !important;
}

/* ---------------------------------------------------
    LOGIN BANNER STYLE
----------------------------------------------------- */
.banner-container {
    border-width: 2px;
    background-color: white;
    border-color: #ff7d04;
    padding: 30px;
}

.banner-container p:last-of-type {
    margin-bottom: 0px !important;
}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
    width: 100%;
    padding: 22px;
    min-height: 100vh;
    background-color: #f9eee3;
    transition: all 0.8s;
}

#loading-panel-index-page .dxbl-loading-panel-indicator-area {
    width: 250px;
}

    #loading-panel-index-page .dxbl-loading-panel-indicator-area span {
        font-size: 25px;
        color: #ff7d04 !important;
        font-weight: bold;
    }

.dxbl-wait-indicator {
    --dxbl-wait-indicator-color: #ff7d04 !important;
}

.dxbl-loading-panel-message dxbl-loading-message-left {
    font-size: 25px;
}

.page-header {
    padding-bottom: 5px;
    border-bottom: 2px solid #ff7d04;
    color: black;
}

.form-divider {
    padding-bottom: 5px;
    border-bottom: 3px solid #ff7d04;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {
    #sidebar {
        min-width: 80px;
        max-width: 10px;
        text-align: center;
        margin-left: -80px !important;
    }

    .dropdown-toggle::after {
        top: auto;
        bottom: 10px;
        right: 50%;
        -webkit-transform: translateX(50%);
        -ms-transform: translateX(50%);
        transform: translateX(50%);
    }

    #sidebar.active {
        margin-left: 0 !important;
    }

    #sidebar .sidebar-header h3, img,
    #sidebar .CTAs {
        display: none;
    }

    #sidebar .sidebar-header strong {
        display: block;
    }

    #sidebar ul li a {
        padding: 20px 10px;
    }

        #sidebar ul li a span {
            font-size: 0.85em;
        }

        #sidebar ul li a i {
            margin-right: 0;
            display: block;
        }

    #sidebar ul ul a {
        padding: 10px !important;
    }

    #sidebar ul li a i {
        font-size: 1.3em;
    }

    #sidebar {
        margin-left: 0;
    }

    #sidebarCollapse span {
        display: none;
    }

    .navbar-toggle .icon-bar {
        width: 15px !important;
        height: 15px !important;
    }

    .mark, mark {
        background: red !important;
        color: black !important;
    }
}

.blueLine {
    padding-bottom: 5px;
    border-bottom: 3px solid #00b6ed;
}

.tableHeader {
    padding-bottom: 2px;
    border-bottom: 1.5px solid #00b6ed;
}

.input-group {
    width: 100%;
}

    .input-group > .input-group-prepend {
        -webkit-box-flex: 0;
        width: 200px;
    }

.input-group-text {
    width: 200px;
}

.navbar-toggler-icon {
    width: 0.7em !important;
    height: 0.7em !important;
}

.btn-dark {
    background-color: #373737 !important;
    border-color: #373737 !important;
    color: #fff !important;
}
/* ---------------------------------------------------
    Wait spinner
----------------------------------------------------- */
.lds-dual-ring {
    display: inline-block;
    width: 32px;
    height: 32px;
}

    .lds-dual-ring:after {
        content: " ";
        display: block;
        width: 23px;
        height: 23px;
        margin: 1px;
        border-radius: 50%;
        border: 5px solid #cef;
        border-color: #ff7d04 !important transparent #cef transparent;
        animation: lds-dual-ring 1.2s linear infinite;
    }

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.input-validation {
    margin-left: 210px;
    color: red;
    display: block;
}


.topcorner {
    position: absolute;
    top: 10px;
    right: 22px;
}

.topcorner-left-closed {
    position: absolute;
    top: 10px;
    left: 10px;
}

.topcorner-left-open {
    position: absolute;
    top: 10px;
    left: 200px;
}

/* ---------------------------------------------------
    DevExpress changes
----------------------------------------------------- */
.dxbl-list-box-item-selected {
    color: white;
}

.dxbl-list-box-item-selected::before {
    background-color: #ffa44f !important;
}

.dxbl-grid .dxbl-grid-empty-data > span {
    display: none;
}

tr.dxbl-grid-filter-row.dxbl-grid-editor-inplace-container td[tabindex="0"]:focus-within {
    outline: 2px solid #ffa44f !important; /* Adjust color and width as desired */
    outline-offset: calc(-1* .15rem);
}

.dxbl-grid .dxbl-grid-empty-data::after {
    content: 'Er is geen data gevonden';
    font-weight: bold;
}

#ida66ae2c3-8fd5-46aa-afa3-cd9c8e10dd75 > span {
    display: none;
}

#ida66ae2c3-8fd5-46aa-afa3-cd9c8e10dd75::after {
    content: 'Leegmaken'
}

.highlighted-item {
    background-color: white;
}

    .highlighted-item:hover {
        cursor: pointer;
        background-color: aliceblue;
    }

.dxbl-list-box-item-selected {
    color: white;
}

    .dxbl-list-box-item-selected::before {
        background-color: #ffa44f !important;
    }

tr.dxbl-grid-filter-row.dxbl-grid-editor-inplace-container td[tabindex="0"]:focus-within {
    outline: 2px solid #ffa44f !important; /* Adjust color and width as desired */
    outline-offset: calc(-1* .15rem);
}

.form-full-width {
    width: 100%;
}

.form-caption-start {
    width: 150px !important;
    padding-right: 60px;
}

.form-caption {
    width: 150px !important;
    padding-right: 40px;
}
